package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 储值卡信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglCzkCzkglValueaddedcardService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglCzkCzkglValueaddedcard(PageData pd)throws Exception {
        return daoSupport.update("SYxglCzkCzkglValueaddedcardMapper.addSYxglCzkCzkglValueaddedcard", pd);
    }

    public List<PageData> findSYxglCzkCzkglValueaddedcardList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglCzkCzkglValueaddedcardMapper.selectSYxglCzkCzkglValueaddedcardList", pd);
    }

    public Integer SYxglCzkCzkglValueaddedcardRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglCzkCzkglValueaddedcardMapper.SYxglCzkCzkglValueaddedcardRemove", pd);
    }


    public Integer updateSYxglCzkCzkglValueaddedcard(PageData pd)throws Exception {
        return daoSupport.update("SYxglCzkCzkglValueaddedcardMapper.updateSYxglCzkCzkglValueaddedcard", pd);
    }

}
